-- hale_control.lua

-- Lua modules broken into pieces to try to help avoid editing catastrophes
-- of which I've already had too many...

require ("hale_01_cmd_routines")
require ("hale_02_cmd_processor")
require ("hale_29_spinknob") -- to be available to other components
require ("hale_03_rotations")
require ("hale_04_hide")
require ("hale_04_hide_mirror")
require ("hale_05_dome")
require ("hale_05_storage_room_doors")
require ("hale_06_photons_and_paths")
require ("hale_07_track_rotary")
require ("hale_07_radec_buttons")
require ("hale_07_manual_track_ex")
require ("hale_07_tracking")
require ("hale_07_tracking_lamp")
require ("hale_07_ra_rate")
require ("hale_08_laser")
require ("hale_21_radio-n-toggle_buttons")
require ("hale_21_toggleradiobuttons")
require ("hale_22_toggleswitch")
require ("hale_23_rotaryswitch")
require ("hale_30_lights")
require ("hale_30_windscreen")
require ("hale_44_ra_clocks")
require ("hale_44_decl_clocks")
require ("hale_44_pst_clocks")
require ("hale_44_sidereal_clocks")
require ("hale_45_ra_ctl_clocks")
require ("hale_45_dec_ctl_clocks")
require ("hale_48_mirror_cover")
require ("hale_48_sec_mirror_cover")
require ("hale_46_mirror_cover_dial")
require ("hale_47_focus_dial")
require ("hale_49_coude_clamp")
require ("hale_49_pulpit_lamp")
require ("hale_49_coude_flat_rotations")
require ("hale_49_coude_flat5m_rotation")
require ("hale_49_coude_bridge_rotation")
require ("hale_49_vert_cwt_dial")
require ("hale_49_horiz_cwt_dial")
require ("hale_50_central_lift")
require ("hale_50_rotate_dome")
require ("hale_50_dome_doors")
require ("hale_50_overhead_door")
require ("hale_50_freight_elevator")
require ("hale_100_pulpit")
require ("hale_28_3poleswitch")
